{"templateId":"markdown","sharedDataIds":{"sidebar":"sidebar-sidebars.yaml"},"props":{"metadata":{"markdoc":{"tagList":[]},"type":"markdown"},"seo":{"title":"Versioning","description":"API documentation for Celonis APIs.","siteUrl":"https://developer.celonis.com/","keywords":"celonis developer portal, celonis apis, celonis api reference docs","lang":"en-US","llmstxt":{"hide":false,"description":"Celonis API documentation","sections":[{"title":"API Docs","description":"Available Celonis API Docs","includeFiles":["**/*.md"],"excludeFiles":[]},{"title":"API Specs","description":"All Celonis API specifications","includeFiles":["**/openapi.yaml"],"excludeFiles":[]}],"excludeFiles":[]}},"dynamicMarkdocComponents":[],"compilationErrors":[],"ast":{"$$mdtype":"Tag","name":"article","attributes":{},"children":[{"$$mdtype":"Tag","name":"Heading","attributes":{"level":1,"id":"versioning","__idx":0},"children":["Versioning"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["api-version"]},": 4.0"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Retrieves a version for specific element."]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"header":{"controls":{"copy":{}}},"source":"GET /{collectionId}/{storageId}/_api/rest/facets/{facetId}/views/{viewId}/elements/{elementId}/versions\n"},"children":[]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["With optional parameters"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"header":{"controls":{"copy":{}}},"source":"GET /{collectionId}/{storageId}/_api/rest/facets/{facetId}/views/{viewId}/elements/{elementId}/versions?$filter={filter}&$select={select}&$expandRelated={expand}\n"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"parameters","__idx":1},"children":["Parameters"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Name"},"children":["Name"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"In"},"children":["In"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Required"},"children":["Required"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Type"},"children":["Type"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":["Description"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["collectionId"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["path"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["true"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["The ID of the storage collection."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["storageId"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["path"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["true"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["The ID of the tenant."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["facetId"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["path"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["true"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["The name of the facet."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["viewId"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["path"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["true"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["The name of the view."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["elementId"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["path"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["true"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["The ID of the element."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["$filter"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["query"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["$expandRelated"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["query"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["A comma separated list of names of the related contexts to expand."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["$resources"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["query"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["string [\"attributes\", \"related\", \"children\", \"content\", \"displayNames\", \"rootPath\"]"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["The resources to include. If not specified all resources will be included."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["$select"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["query"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["A comma separated list of namesof the attributes/related contexts to include."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["$expandRelated"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["query"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["A comma separated list of names of the related contexts to expand."]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"responses","__idx":2},"children":["Responses"]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"success-200","__idx":3},"children":["Success 200"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Name"},"children":["Name"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Type"},"children":["Type"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":["Description"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["count"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["integer"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["The number of returned values."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["values"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"#element"},"children":["ElementCollection"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["The list of elements."]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"error-4xx","__idx":4},"children":["Error 4xx"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Name"},"children":["Name"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Type"},"children":["Type"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":["Description"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["message"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["The error message"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["output"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"#operationresultoutput"},"children":["OperationResultOutput"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["The result output."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["type"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"#operationresulttype"},"children":["OperationResultType"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["The result type."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["data"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"#operationerror"},"children":["OperationError"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["The list of errors."]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"examples","__idx":5},"children":["Examples"]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"get-a-version-for-specific-element-from-the-view-of-the-facet","__idx":6},"children":["Get a version for specific element from the ",{"$$mdtype":"Tag","name":"em","attributes":{},"children":["detail"]}," view of the ",{"$$mdtype":"Tag","name":"em","attributes":{},"children":["processes"]}," facet"]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"request","__idx":7},"children":["Request"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"header":{"controls":{"copy":{}}},"source":"GET https://demo.symbioworld.com/pz/showcase/_api/rest/facets/processes/views/detail/elements/1b154523-68ad-4138-9a24-9076062a51b7/versions\n"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"response-200-ok","__idx":8},"children":["Response (200 OK)"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"json","header":{"controls":{"copy":{}}},"source":"{\n    \"count\": 3,\n    \"elements\": [\n        {\n            \"facetName\": \"processes\",\n            \"id\": \"f8013714-185e-459a-86d3-fcf05b7570cd\",\n            \"versionId\": \"ed0b7953-ab87-4194-ada6-60e64dc41d74\",\n            \"type\": \"subProcess\",\n            \"state\": \"expired\",\n            \"displayNames\": {\n            \"1031\": \"Sub Process\",\n            \"1033\": \"sub process\"\n            },\n            \"attributes\": {\n                \"authorNote\": {\n                    \"1031\": \"Ein oder mehrere Autoren wurden gesetzt. Nur Architekten und die angegebenen Autoren dürfen das aktuelle Element bearbeiten.\",\n                    \"1033\": \"The author was set. Only architects and the defined authors are allowed to edit the current element.\"\n                },\n                \"changedOn\": {\n                    \"127\": \"2019-05-22T15:57:46.8643061\"\n                },\n                \"createdOn\": {\n                    \"127\": \"2019-05-22T15:56:50.8268224\"\n                },\n                \"gotoUrl\": {\n                    \"1031\": \"https://demo.symbioworld.com/pz/showcase/1031/BasePlugin/GoTo/Processes/treeanddiagram/ed0b7953-ab87-4194-ada6-60e64dc41d74\",\n                    \"1033\": \"https://demo.symbioworld.com/pz/showcase/1033/BasePlugin/GoTo/Processes/treeanddiagram/ed0b7953-ab87-4194-ada6-60e64dc41d74\"\n                },\n                \"isReleased\": {\n                    \"127\": false\n                },\n                \"name\": {\n                    \"1031\": \"Sub1\",\n                    \"1033\": \"Sub1\"\n                },\n                \"reasonForRevision\": {\n                    \"127\": \"<?xml version=\\\"1.0\\\" encoding=\\\"utf-8\\\"?><p>0.1</p>\"\n                },\n                \"relOn\": {\n                    \"127\": \"2019-05-22T15:57:27.2395307\"\n                },\n                \"state1\": {\n                    \"127\": \"expired\"\n                },\n                \"validFrom\": {\n                    \"127\": \"2019-05-22T00:00:00\"\n                },\n                \"validUntil\": {\n                    \"127\": \"2019-05-22T00:00:00\"\n                },\n                \"version\": {\n                    \"127\": \"1.0\"\n                }\n            },\n            \"related\": {\n                \"author\": [\n                    {\n                        \"facetName\": \"users\",\n                        \"id\": \"a364f30b-a126-4a74-9e1a-1df87f2a6074\",\n                        \"creationId\": \"a364f30b-a126-4a74-9e1a-1df87f2a6074\",\n                        \"type\": \"user\",\n                        \"expandUri\": \"https://demo.symbioworld.com/pz/showcase/_api/rest/facets/users/views/detail/elements/a364f30b-a126-4a74-9e1a-1df87f2a6074\"\n                    }\n                ],\n                \"changedBy\": [\n                    {\n                        \"facetName\": \"users\",\n                        \"id\": \"a364f30b-a126-4a74-9e1a-1df87f2a6074\",\n                        \"creationId\": \"a364f30b-a126-4a74-9e1a-1df87f2a6074\",\n                        \"type\": \"user\",\n                        \"expandUri\": \"https://demo.symbioworld.com/pz/showcase/_api/rest/facets/users/views/detail/elements/a364f30b-a126-4a74-9e1a-1df87f2a6074\"\n                    }\n                ],\n                \"createdBy\": [\n                    {\n                        \"facetName\": \"users\",\n                        \"id\": \"a364f30b-a126-4a74-9e1a-1df87f2a6074\",\n                        \"creationId\": \"a364f30b-a126-4a74-9e1a-1df87f2a6074\",\n                        \"type\": \"user\",\n                        \"expandUri\": \"https://demo.symbioworld.com/pz/showcase/_api/rest/facets/users/views/detail/elements/a364f30b-a126-4a74-9e1a-1df87f2a6074\"\n                    }\n                ],\n                \"owner\": [\n                    {\n                        \"facetName\": \"users\",\n                        \"id\": \"a364f30b-a126-4a74-9e1a-1df87f2a6074\",\n                        \"creationId\": \"a364f30b-a126-4a74-9e1a-1df87f2a6074\",\n                        \"type\": \"user\",\n                        \"expandUri\": \"https://demo.symbioworld.com/pz/showcase/_api/rest/facets/users/views/detail/elements/a364f30b-a126-4a74-9e1a-1df87f2a6074\"\n                    }\n                ],\n                \"relBy\": [\n                    {\n                        \"facetName\": \"users\",\n                        \"id\": \"a364f30b-a126-4a74-9e1a-1df87f2a6074\",\n                        \"creationId\": \"a364f30b-a126-4a74-9e1a-1df87f2a6074\",\n                        \"type\": \"user\",\n                        \"expandUri\": \"https://demo.symbioworld.com/pz/showcase/_api/rest/facets/users/views/detail/elements/a364f30b-a126-4a74-9e1a-1df87f2a6074\"\n                    }\n                ],\n                \"releaseHistory\": [\n                    {\n                        \"facetName\": \"processes\",\n                        \"id\": \"f8013714-185e-459a-86d3-fcf05b7570cd\",\n                        \"versionId\": \"ed0b7953-ab87-4194-ada6-60e64dc41d74\",\n                        \"type\": \"subProcess\",\n                        \"state\": \"expired\",\n                        \"expandUri\": \"https://demo.symbioworld.com/pz/showcase/_api/rest/facets/processes/views/detail/elements/ed0b7953-ab87-4194-ada6-60e64dc41d74\"\n                    },\n                    {\n                        \"facetName\": \"processes\",\n                        \"id\": \"f8013714-185e-459a-86d3-fcf05b7570cd\",\n                        \"versionId\": \"a309faa0-ac93-4cd2-a4f0-59d7d7988aec\",\n                        \"type\": \"subProcess\",\n                        \"state\": \"released\",\n                        \"expandUri\": \"https://demo.symbioworld.com/pz/showcase/_api/rest/facets/processes/views/detail/elements/a309faa0-ac93-4cd2-a4f0-59d7d7988aec\"\n                    }\n                ]\n            }\n        },\n        {\n            \"facetName\": \"processes\",\n            \"id\": \"f8013714-185e-459a-86d3-fcf05b7570cd\",\n            \"versionId\": \"a309faa0-ac93-4cd2-a4f0-59d7d7988aec\",\n            \"type\": \"subProcess\",\n            \"state\": \"released\",\n            \"displayNames\": {\n            \"1031\": \"Sub Process\",\n            \"1033\": \"sub process\"\n            },\n            \"attributes\": {\n                \"authorNote\": {\n                    \"1031\": \"Ein oder mehrere Autoren wurden gesetzt. Nur Architekten und die angegebenen Autoren dürfen das aktuelle Element bearbeiten.\",\n                    \"1033\": \"The author was set. Only architects and the defined authors are allowed to edit the current element.\"\n                },\n                \"changedOn\": {\n                    \"127\": \"2019-05-22T15:57:50.4338785\"\n                },\n                \"createdOn\": {\n                    \"127\": \"2019-05-22T15:57:31.270655\"\n                },\n                \"gotoUrl\": {\n                    \"1031\": \"https://demo.symbioworld.com/pz/showcase/1031/BasePlugin/GoTo/Processes/treeanddiagram/a309faa0-ac93-4cd2-a4f0-59d7d7988aec\",\n                    \"1033\": \"https://demo.symbioworld.com/pz/showcase/1033/BasePlugin/GoTo/Processes/treeanddiagram/a309faa0-ac93-4cd2-a4f0-59d7d7988aec\"\n                },\n                \"isReleased\": {\n                    \"127\": true\n                },\n                \"name\": {\n                    \"1031\": \"Sub1\",\n                    \"1033\": \"Sub1\"\n                },\n                \"reasonForRevision\": {\n                    \"127\": \"<?xml version=\\\"1.0\\\" encoding=\\\"utf-8\\\"?><p>2.0</p>\"\n                },\n                \"relOn\": {\n                    \"127\": \"2019-05-22T15:57:46.5677734\"\n                },\n                \"state1\": {\n                    \"127\": \"released\"\n                },\n                \"validFrom\": {\n                    \"127\": \"2019-05-22T00:00:00\"\n                },\n                \"validUntil\": {\n                    \"127\": \"9999-12-31T00:00:00\"\n                },\n                \"version\": {\n                    \"127\": \"2.0\"\n                }\n            },\n            \"related\": {\n                \"author\": [\n                    {\n                        \"facetName\": \"users\",\n                        \"id\": \"a364f30b-a126-4a74-9e1a-1df87f2a6074\",\n                        \"creationId\": \"a364f30b-a126-4a74-9e1a-1df87f2a6074\",\n                        \"type\": \"user\",\n                        \"expandUri\": \"https://demo.symbioworld.com/pz/showcase/_api/rest/facets/users/views/detail/elements/a364f30b-a126-4a74-9e1a-1df87f2a6074\"\n                    }\n                ],\n                \"changedBy\": [\n                    {\n                        \"facetName\": \"users\",\n                        \"id\": \"a364f30b-a126-4a74-9e1a-1df87f2a6074\",\n                        \"creationId\": \"a364f30b-a126-4a74-9e1a-1df87f2a6074\",\n                        \"type\": \"user\",\n                        \"expandUri\": \"https://demo.symbioworld.com/pz/showcase/_api/rest/facets/users/views/detail/elements/a364f30b-a126-4a74-9e1a-1df87f2a6074\"\n                    }\n                ],\n                \"createdBy\": [\n                    {\n                        \"facetName\": \"users\",\n                        \"id\": \"a364f30b-a126-4a74-9e1a-1df87f2a6074\",\n                        \"creationId\": \"a364f30b-a126-4a74-9e1a-1df87f2a6074\",\n                        \"type\": \"user\",\n                        \"expandUri\": \"https://demo.symbioworld.com/pz/showcase/_api/rest/facets/users/views/detail/elements/a364f30b-a126-4a74-9e1a-1df87f2a6074\"\n                    }\n                ],\n                \"owner\": [\n                    {\n                        \"facetName\": \"users\",\n                        \"id\": \"a364f30b-a126-4a74-9e1a-1df87f2a6074\",\n                        \"creationId\": \"a364f30b-a126-4a74-9e1a-1df87f2a6074\",\n                        \"type\": \"user\",\n                        \"expandUri\": \"https://demo.symbioworld.com/pz/showcase/_api/rest/facets/users/views/detail/elements/a364f30b-a126-4a74-9e1a-1df87f2a6074\"\n                    }\n                ],\n                \"relBy\": [\n                    {\n                        \"facetName\": \"users\",\n                        \"id\": \"a364f30b-a126-4a74-9e1a-1df87f2a6074\",\n                        \"creationId\": \"a364f30b-a126-4a74-9e1a-1df87f2a6074\",\n                        \"type\": \"user\",\n                        \"expandUri\": \"https://demo.symbioworld.com/pz/showcase/_api/rest/facets/users/views/detail/elements/a364f30b-a126-4a74-9e1a-1df87f2a6074\"\n                    }\n                ],\n                \"releaseHistory\": [\n                    {\n                        \"facetName\": \"processes\",\n                        \"id\": \"f8013714-185e-459a-86d3-fcf05b7570cd\",\n                        \"versionId\": \"ed0b7953-ab87-4194-ada6-60e64dc41d74\",\n                        \"type\": \"subProcess\",\n                        \"state\": \"expired\",\n                        \"expandUri\": \"https://demo.symbioworld.com/pz/showcase/_api/rest/facets/processes/views/detail/elements/ed0b7953-ab87-4194-ada6-60e64dc41d74\"\n                    },\n                    {\n                        \"facetName\": \"processes\",\n                        \"id\": \"f8013714-185e-459a-86d3-fcf05b7570cd\",\n                        \"versionId\": \"a309faa0-ac93-4cd2-a4f0-59d7d7988aec\",\n                        \"type\": \"subProcess\",\n                        \"state\": \"released\",\n                        \"expandUri\": \"https://demo.symbioworld.com/pz/showcase/_api/rest/facets/processes/views/detail/elements/a309faa0-ac93-4cd2-a4f0-59d7d7988aec\"\n                    }\n                ]\n            }\n        },\n        {\n            \"facetName\": \"processes\",\n            \"id\": \"f8013714-185e-459a-86d3-fcf05b7570cd\",\n            \"versionId\": \"1b154523-68ad-4138-9a24-9076062a51b7\",\n            \"type\": \"subProcess\",\n            \"state\": \"inProcess\",\n            \"displayNames\": {\n            \"1031\": \"Sub Process\",\n            \"1033\": \"sub process\"\n            },\n            \"attributes\": {\n                \"authorNote\": {\n                    \"1031\": \"Ein oder mehrere Autoren wurden gesetzt. Nur Architekten und die angegebenen Autoren dürfen das aktuelle Element bearbeiten.\",\n                    \"1033\": \"The author was set. Only architects and the defined authors are allowed to edit the current element.\"\n                },\n                \"changedOn\": {\n                    \"127\": \"2019-05-22T15:57:50.9387695\"\n                },\n                \"createdOn\": {\n                    \"127\": \"2019-05-22T15:57:49.8389161\"\n                },\n                \"gotoUrl\": {\n                    \"1031\": \"https://demo.symbioworld.com/pz/showcase/1031/BasePlugin/GoTo/Processes/treeanddiagram/1b154523-68ad-4138-9a24-9076062a51b7\",\n                    \"1033\": \"https://demo.symbioworld.com/pz/showcase/1033/BasePlugin/GoTo/Processes/treeanddiagram/1b154523-68ad-4138-9a24-9076062a51b7\"\n                },\n                \"isReleased\": {\n                    \"127\": false\n                },\n                \"name\": {\n                    \"1031\": \"Sub1\",\n                    \"1033\": \"Sub1\"\n                },\n                \"state1\": {\n                    \"127\": \"inProcess\"\n                },\n                \"validUntil\": {\n                    \"127\": \"9999-12-31T00:00:00\"\n                },\n                \"version\": {\n                    \"127\": \"2.1\"\n                }\n            },\n            \"related\": {\n                \"author\": [\n                    {\n                        \"facetName\": \"users\",\n                        \"id\": \"a364f30b-a126-4a74-9e1a-1df87f2a6074\",\n                        \"creationId\": \"a364f30b-a126-4a74-9e1a-1df87f2a6074\",\n                        \"type\": \"user\",\n                        \"expandUri\": \"https://demo.symbioworld.com/pz/showcase/_api/rest/facets/users/views/detail/elements/a364f30b-a126-4a74-9e1a-1df87f2a6074\"\n                    }\n                ],\n                \"changedBy\": [\n                    {\n                        \"facetName\": \"users\",\n                        \"id\": \"a364f30b-a126-4a74-9e1a-1df87f2a6074\",\n                        \"creationId\": \"a364f30b-a126-4a74-9e1a-1df87f2a6074\",\n                        \"type\": \"user\",\n                        \"expandUri\": \"https://demo.symbioworld.com/pz/showcase/_api/rest/facets/users/views/detail/elements/a364f30b-a126-4a74-9e1a-1df87f2a6074\"\n                    }\n                ],\n                \"createdBy\": [\n                    {\n                        \"facetName\": \"users\",\n                        \"id\": \"a364f30b-a126-4a74-9e1a-1df87f2a6074\",\n                        \"creationId\": \"a364f30b-a126-4a74-9e1a-1df87f2a6074\",\n                        \"type\": \"user\",\n                        \"expandUri\": \"https://demo.symbioworld.com/pz/showcase/_api/rest/facets/users/views/detail/elements/a364f30b-a126-4a74-9e1a-1df87f2a6074\"\n                    }\n                ],\n                \"owner\": [\n                    {\n                        \"facetName\": \"users\",\n                        \"id\": \"a364f30b-a126-4a74-9e1a-1df87f2a6074\",\n                        \"creationId\": \"a364f30b-a126-4a74-9e1a-1df87f2a6074\",\n                        \"type\": \"user\",\n                        \"expandUri\": \"https://demo.symbioworld.com/pz/showcase/_api/rest/facets/users/views/detail/elements/a364f30b-a126-4a74-9e1a-1df87f2a6074\"\n                    }\n                ],\n                \"releaseHistory\": [\n                    {\n                        \"facetName\": \"processes\",\n                        \"id\": \"f8013714-185e-459a-86d3-fcf05b7570cd\",\n                        \"versionId\": \"ed0b7953-ab87-4194-ada6-60e64dc41d74\",\n                        \"type\": \"subProcess\",\n                        \"state\": \"expired\",\n                        \"expandUri\": \"https://demo.symbioworld.com/pz/showcase/_api/rest/facets/processes/views/detail/elements/ed0b7953-ab87-4194-ada6-60e64dc41d74\"\n                    },\n                    {\n                        \"facetName\": \"processes\",\n                        \"id\": \"f8013714-185e-459a-86d3-fcf05b7570cd\",\n                        \"versionId\": \"a309faa0-ac93-4cd2-a4f0-59d7d7988aec\",\n                        \"type\": \"subProcess\",\n                        \"state\": \"released\",\n                        \"expandUri\": \"https://demo.symbioworld.com/pz/showcase/_api/rest/facets/processes/views/detail/elements/a309faa0-ac93-4cd2-a4f0-59d7d7988aec\"\n                    }\n                ]\n            }\n        }\n    ]\n}\n","lang":"json"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"get-a-version-for-specific-element-from-the-view-of-the-facet-and-only-include-the-attributes-and","__idx":9},"children":["Get a version for specific element from the ",{"$$mdtype":"Tag","name":"em","attributes":{},"children":["detail"]}," view of the ",{"$$mdtype":"Tag","name":"em","attributes":{},"children":["processes"]}," facet and only include the attributes ",{"$$mdtype":"Tag","name":"em","attributes":{},"children":["name"]}," and ",{"$$mdtype":"Tag","name":"em","attributes":{},"children":["author"]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"request-1","__idx":10},"children":["Request"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"header":{"controls":{"copy":{}}},"source":"GET https://demo.symbioworld.com/pz/showcase/_api/rest/facets/processes/views/tree/elements/1b154523-68ad-4138-9a24-9076062a51b7/versions?$select=name,author\n"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"response-200-ok-1","__idx":11},"children":["Response (200 OK)"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"json","header":{"controls":{"copy":{}}},"source":"{\n    \"count\": 3,\n    \"elements\": [\n        {\n            \"facetName\": \"processes\",\n            \"id\": \"f8013714-185e-459a-86d3-fcf05b7570cd\",\n            \"versionId\": \"ed0b7953-ab87-4194-ada6-60e64dc41d74\",\n            \"type\": \"subProcess\",\n            \"state\": \"expired\",\n            \"displayNames\": {\n            \"1031\": \"Sub Process\",\n            \"1033\": \"sub process\"\n            },\n            \"attributes\": {\n                \"name\": {\n                    \"1031\": \"Sub1\",\n                    \"1033\": \"Sub1\"\n                }\n            },\n            \"related\": {\n                \"author\": [\n                    {\n                        \"facetName\": \"users\",\n                        \"id\": \"a364f30b-a126-4a74-9e1a-1df87f2a6074\",\n                        \"creationId\": \"a364f30b-a126-4a74-9e1a-1df87f2a6074\",\n                        \"type\": \"user\",\n                        \"expandUri\": \"https://demo.symbioworld.com/pz/showcase/_api/rest/facets/users/views/detail/elements/a364f30b-a126-4a74-9e1a-1df87f2a6074\"\n                    }\n                ]\n            }\n        },\n        {\n            \"facetName\": \"processes\",\n            \"id\": \"f8013714-185e-459a-86d3-fcf05b7570cd\",\n            \"versionId\": \"a309faa0-ac93-4cd2-a4f0-59d7d7988aec\",\n            \"type\": \"subProcess\",\n            \"state\": \"released\",\n            \"displayNames\": {\n            \"1031\": \"Sub Process\",\n            \"1033\": \"sub process\"\n            },\n            \"attributes\": {\n                \"name\": {\n                    \"1031\": \"Sub1\",\n                    \"1033\": \"Sub1\"\n                }\n            },\n            \"related\": {\n                \"author\": [\n                    {\n                        \"facetName\": \"users\",\n                        \"id\": \"a364f30b-a126-4a74-9e1a-1df87f2a6074\",\n                        \"creationId\": \"a364f30b-a126-4a74-9e1a-1df87f2a6074\",\n                        \"type\": \"user\",\n                        \"expandUri\": \"https://demo.symbioworld.com/pz/showcase/_api/rest/facets/users/views/detail/elements/a364f30b-a126-4a74-9e1a-1df87f2a6074\"\n                    }\n                ]\n            }\n        },\n        {\n            \"facetName\": \"processes\",\n            \"id\": \"f8013714-185e-459a-86d3-fcf05b7570cd\",\n            \"versionId\": \"1b154523-68ad-4138-9a24-9076062a51b7\",\n            \"type\": \"subProcess\",\n            \"state\": \"inProcess\",\n            \"displayNames\": {\n            \"1031\": \"Sub Process\",\n            \"1033\": \"sub process\"\n            },\n            \"attributes\": {\n                \"name\": {\n                    \"1031\": \"Sub1\",\n                    \"1033\": \"Sub1\"\n                }\n            },\n            \"related\": {\n                \"author\": [\n                    {\n                        \"facetName\": \"users\",\n                        \"id\": \"a364f30b-a126-4a74-9e1a-1df87f2a6074\",\n                        \"creationId\": \"a364f30b-a126-4a74-9e1a-1df87f2a6074\",\n                        \"type\": \"user\",\n                        \"expandUri\": \"https://demo.symbioworld.com/pz/showcase/_api/rest/facets/users/views/detail/elements/a364f30b-a126-4a74-9e1a-1df87f2a6074\"\n                    }\n                ]\n            }\n        }\n    ]\n}\n","lang":"json"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"definitions","__idx":12},"children":["Definitions"]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"element","__idx":13},"children":["Element"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Name"},"children":["Name"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Type"},"children":["Type"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":["Description"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["id"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Guid?"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["The identifier of the element."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["versionId"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Guid?"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["The identifier of the specific version."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["state"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["The current state of the element."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["stereotype"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["The stereotype of the element."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["type"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["The type of the element."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["attributes"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Dictionary<string, Dictionary<int, object>>"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["The attributes of the element."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["related"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Dictionary<string, List<Element>>"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["The list of related elements."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["children"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Element"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["The list of child elements."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["content"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Element"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["The list of content elements."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["rootPath"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Element"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["The list of hierarchical parent elements to the root element."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["displayNames"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Dictionary<int, string>"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Gets the display names of multiple languages."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["expandUri"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Gets or sets the expand Uri to get full information about element"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["facetName"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Name of the facet"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["setReadOnly"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["bool?"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Gets or sets the read only of the element"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["versions"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Element"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Element versions of this container"]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"operationresultoutput","__idx":14},"children":["OperationResultOutput"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Name"},"children":["Name"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Type"},"children":["Type"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["volatile"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["string"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["permanent"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["string"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["dialog"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["string"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["inline"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["string"]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"operationresulttype","__idx":15},"children":["OperationResultType"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Name"},"children":["Name"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Type"},"children":["Type"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["critical"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["string"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["error"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["string"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["warning"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["string"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["success"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["string"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["unauthorized"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["string"]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"operationerror","__idx":16},"children":["OperationError"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Name"},"children":["Name"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Type"},"children":["Type"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":["Description"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["error"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["The error message."]}]}]}]}]}]},"headings":[{"value":"Versioning","id":"versioning","depth":1},{"value":"Parameters","id":"parameters","depth":2},{"value":"Responses","id":"responses","depth":2},{"value":"Success 200","id":"success-200","depth":3},{"value":"Error 4xx","id":"error-4xx","depth":3},{"value":"Examples","id":"examples","depth":2},{"value":"Get a version for specific element from the view of the facet","id":"get-a-version-for-specific-element-from-the-view-of-the-facet","depth":3},{"value":"Request","id":"request","depth":4},{"value":"Response (200 OK)","id":"response-200-ok","depth":4},{"value":"Get a version for specific element from the view of the facet and only include the attributes and","id":"get-a-version-for-specific-element-from-the-view-of-the-facet-and-only-include-the-attributes-and","depth":3},{"value":"Request","id":"request-1","depth":4},{"value":"Response (200 OK)","id":"response-200-ok-1","depth":4},{"value":"Definitions","id":"definitions","depth":2},{"value":"Element","id":"element","depth":3},{"value":"OperationResultOutput","id":"operationresultoutput","depth":3},{"value":"OperationResultType","id":"operationresulttype","depth":3},{"value":"OperationError","id":"operationerror","depth":3}],"frontmatter":{"seo":{"title":"Versioning"}},"lastModified":"2026-02-26T22:05:33.000Z","pagePropGetterError":{"message":"","name":""}},"slug":"/cpm/developer/rest-api/reference/versioning","userData":{"isAuthenticated":false,"teams":["anonymous"]},"isPublic":true}